{
    attributes = (
        {
            columnName = "PCC_ETAT"; 
            externalType = VARCHAR2; 
            name = pccEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "PCC_ORDRE"; 
            externalType = NUMBER; 
            name = pccOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "pco_Validite"; 
            externalType = VARCHAR2; 
            name = pcoValidite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (pccEtat, pccOrdre, pcoNum, pcoValidite, tcdOrdre); 
    className = "org.cocktail.kava.server.metier.EOPlancoCreditRecReautimp"; 
    classProperties = (pccEtat, pccOrdre, pcoNum, pcoValidite, planComptable, typeCreditRec); 
    externalName = "jefy_recette.v_planco_credit_rec_reautimp"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (pccEtat, pccOrdre, pcoNum, pcoValidite, planComptable, typeCreditRec); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOPlancoCreditRecReautimp"; 
        "_nameInObjectStore" = "v_planco_credit_rec_reautimp"; 
    }; 
    name = PlancoCreditRecReautimp; 
    primaryKeyAttributes = (pccOrdre); 
    relationships = (
        {
            destination = PlanComptable; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNum; }); 
            name = planComptable; 
        }, 
        {
            destination = "ca_TypeCredit"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCreditRec; 
        }
    ); 
}
